Subject: hardy gloxinia help needed

From: [email-masked] (Davevo)
Date: 28 Mar 1995 21:45:44 -0500

I recently bought some hardy gloxinia from a mail order catalog.  It
arrived bare root.  The planting instructions said it was a fibrous root
but it sure looks like a long tap root about the size of my index finger
with no fibrous roots anywhere.  Do I plant this root vertically or
horizontally?  At or below the soil surface?

Courtney in Virginia